Skip to main content
GET
/
api
/
settings
Get workspace settings
curl --request GET \
  --url https://folksbase.onrender.com/api/settings \
  --header 'Authorization: Bearer <token>'
{
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resend_api_key": "<string>",
  "notify_on_import_complete": true,
  "notify_on_export_complete": true,
  "notify_weekly_digest": true
}

Authorizations

Authorization
string
header
required

Supabase JWT token from Authorization header

Response

200 - application/json

Workspace settings

workspace_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resend_api_key
string | null
required
notify_on_import_complete
boolean
required
notify_on_export_complete
boolean
required
notify_weekly_digest
boolean
required